classification
Title: test_gdb failure on SystemZ buildbot
Type: behavior Stage:
Components: Tests Versions: Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: David.Edelsohn, dmalcolm, python-dev, vstinner
Priority: normal Keywords:

Created on 2013-11-24 12:51 by vstinner, last changed 2014-11-05 14:08 by vstinner. This issue is now closed.

Messages (7)
msg204209 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-11-24 12:51
test_gdb should ignore the following gdb warning.

http://buildbot.python.org/all/builders/System%20Z%20Linux%203.x/builds/806/steps/test/logs/stdio

======================================================================
FAIL: test_NULL_ob_type (test.test_gdb.PrettyPrintTests)
Ensure that a PyObject* with NULL ob_type is handled gracefully
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/dje/cpython-buildarea/3.x.edelsohn-zlinux-z/build/Lib/test/test_gdb.py", line 440, in test_NULL_ob_type
    'set v->ob_type=0')
  File "/home/dje/cpython-buildarea/3.x.edelsohn-zlinux-z/build/Lib/test/test_gdb.py", line 411, in assertSane
    cmds_after_breakpoint=cmds_after_breakpoint)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-zlinux-z/build/Lib/test/test_gdb.py", line 196, in get_gdb_repr
    import_site=import_site)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-zlinux-z/build/Lib/test/test_gdb.py", line 179, in get_stack_trace
    self.assertEqual(unexpected_errlines, [])
AssertionError: Lists differ: ['Missing separate debuginfo for /lib/ld64[801 chars]a1"'] != []

First list contains 12 additional elements.
First extra element 0:
Missing separate debuginfo for /lib/ld64.so.1

Diff is 925 characters long. Set self.maxDiff to None to see it.
msg204224 - (view) Author: David Edelsohn (David.Edelsohn) * Date: 2013-11-24 14:24
I have installed debuginfo on the system, but it is not being recognized. I have been inquiring with SuSE zLinux to understand how to resolve this.
msg204247 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-24 17:56
New changeset 6e5eab3add6c by Victor Stinner in branch 'default':
Issue #19753: Try to fix test_gdb on SystemZ buildbot
http://hg.python.org/cpython/rev/6e5eab3add6c
msg204317 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-25 09:44
New changeset 6ec6facb69ca by Victor Stinner in branch 'default':
Issue #19753: New try to fix test_gdb on System Z buildbot
http://hg.python.org/cpython/rev/6ec6facb69ca
msg230635 - (view) Author: David Edelsohn (David.Edelsohn) * Date: 2014-11-04 16:27
Victor, can this patch be applied to Python 2.7 branch also?
msg230677 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-11-05 14:07
New changeset 4c260cf1ba39 by Victor Stinner in branch '2.7':
Issue #19753: Fix test_gdb on SystemZ buildbot, ignore warnings
https://hg.python.org/cpython/rev/4c260cf1ba39
msg230678 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-11-05 14:08
> Victor, can this patch be applied to Python 2.7 branch also?

Done. I didn't check the buildbots, but I guess that the issue was already fixed one year ago...
History
Date User Action Args
2014-11-05 14:08:40vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg230678
2014-11-05 14:07:36python-devsetmessages: + msg230677
2014-11-04 16:27:03David.Edelsohnsettype: behavior
messages: + msg230635
components: + Tests
versions: + Python 2.7
2013-11-25 09:44:47python-devsetmessages: + msg204317
2013-11-24 17:56:55python-devsetnosy: + python-dev
messages: + msg204247
2013-11-24 14:24:58David.Edelsohnsetmessages: + msg204224
2013-11-24 12:53:05pitrousetnosy: + David.Edelsohn
2013-11-24 12:51:38vstinnercreate